> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Profile Attributes (Appearance)

> A `GET` to the `/profiles/{profileId}/attributes/appearance` endpoint allows your application to get the Attributes relating to the Profiles physical Appearance.



## OpenAPI

````yaml get /v3/profiles/{profile}/attributes/appearance
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/attributes/appearance:
    get:
      tags:
        - Profile Appearance Attribute
      summary: Read Profile Attributes (Appearance)
      description: >-
        A `GET` to the `/profiles/{profileId}/attributes/appearance` endpoint
        allows your application to get the Attributes relating to the Profiles
        physical Appearance.
      operationId: profileAppearanceAttribute.index
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: '`ProfileAppearanceAttribute`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProfileAppearanceAttribute'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ProfileAppearanceAttribute:
      type: object
      properties:
        profile_id:
          type: string
        hair_colour:
          type: string
        hair_length:
          type: string
        shape_body:
          type: string
        shape_face:
          type: string
        size_cup:
          type: string
        size_hat:
          type: string
        size_formal_jacket:
          type: string
        size_formal_jacket_length:
          type: string
        size_formal_shirt:
          type: string
        size_formal_shirt_fit:
          type: string
        size_formal_trouser:
          type: string
        size_formal_trouser_drop:
          type: string
        size_formal_trouser_leg:
          type: string
        size_jacket:
          type: string
        size_pant:
          type: string
        size_shoe:
          type: string
        size_type_age:
          type: string
        size_type_region:
          type: string
        size_top:
          type: string
        size_gloves:
          type: string
        size_swimwear_top:
          type: string
        size_swimwear_bottom:
          type: string
        size_swimwear_cup:
          type: string
        size_dress:
          type: string
        skin_type:
          type: string
        measurement_arm:
          type: string
        measurement_arm_inside:
          type: string
        measurement_bust:
          type: string
        measurement_chest:
          type: string
        measurement_foot_length:
          type: string
        measurement_head:
          type: string
        measurement_height:
          type: string
        measurement_hip:
          type: string
        measurement_leg_inside:
          type: string
        measurement_leg_outside:
          type: string
        measurement_neck:
          type: string
        measurement_neck_to_wrist:
          type: string
        measurement_shoulders:
          type: string
        measurement_waist:
          type: string
        measurement_weight:
          type: string
        brow_colour:
          type: string
        eye_colour:
          type: string
        measurement_hand_right_thumb:
          type: string
        measurement_hand_right_index:
          type: string
        measurement_hand_right_middle:
          type: string
        measurement_hand_right_ring:
          type: string
        measurement_hand_right_pinky:
          type: string
        measurement_hand_left_thumb:
          type: string
        measurement_hand_left_index:
          type: string
        measurement_hand_left_middle:
          type: string
        measurement_hand_left_ring:
          type: string
        measurement_hand_left_pinky:
          type: string
        measurement_ear_helix:
          type: string
        measurement_ear_forward_helix:
          type: string
        measurement_ear_flat:
          type: string
        measurement_ear_conch:
          type: string
        measurement_ear_tragus:
          type: string
        measurement_ear_lobe:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - profile_id
        - hair_colour
        - hair_length
        - shape_body
        - shape_face
        - size_cup
        - size_hat
        - size_formal_jacket
        - size_formal_jacket_length
        - size_formal_shirt
        - size_formal_shirt_fit
        - size_formal_trouser
        - size_formal_trouser_drop
        - size_formal_trouser_leg
        - size_jacket
        - size_pant
        - size_shoe
        - size_type_age
        - size_type_region
        - size_top
        - size_gloves
        - size_swimwear_top
        - size_swimwear_bottom
        - size_swimwear_cup
        - size_dress
        - skin_type
        - measurement_arm
        - measurement_arm_inside
        - measurement_bust
        - measurement_chest
        - measurement_foot_length
        - measurement_head
        - measurement_height
        - measurement_hip
        - measurement_leg_inside
        - measurement_leg_outside
        - measurement_neck
        - measurement_neck_to_wrist
        - measurement_shoulders
        - measurement_waist
        - measurement_weight
        - brow_colour
        - eye_colour
        - measurement_hand_right_thumb
        - measurement_hand_right_index
        - measurement_hand_right_middle
        - measurement_hand_right_ring
        - measurement_hand_right_pinky
        - measurement_hand_left_thumb
        - measurement_hand_left_index
        - measurement_hand_left_middle
        - measurement_hand_left_ring
        - measurement_hand_left_pinky
        - measurement_ear_helix
        - measurement_ear_forward_helix
        - measurement_ear_flat
        - measurement_ear_conch
        - measurement_ear_tragus
        - measurement_ear_lobe
        - created_at
        - updated_at
      title: ProfileAppearanceAttribute
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````